RenderingRequest

Updates a RenderingRequest.

Updates a RenderingRequest. Only updates in comment field are allowed.

PATCH/api/rendering-requests/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

RenderingRequest identifier

Request Body

application/json
required

The updated RenderingRequest resource

{
  "comment": "Here is my comment",
  "externalState": "string"
}

Response

200application/json

RenderingRequest resource updated

id
integer

RenderingRequest ID generated by Output.Rocks.

Example: 12345

externalId
string

Optional external ID provided by origin application

Example: "ext-123"

templateIdentifier
string

Template identifier provided in request

Example: "my-template"

format
enum<string>

Document format to be used for rendered documents

Available options: pdfdocodtrtfhtmltxt

Example: "pdf"

webhookIdentifier
string

Webhook identifier provided in request

Example: "my-webhook"

mailServerIdentifier
string

Mail-Server identifier provided in request

Example: "my-webhook"

brandIdentifier
string

Brand identifier resolved by the rendering workflow

Example: "default"

metadata
object

Optional metadata to be used in webhooks

Example: {"reference":"my-reference-123","info":{"version":3,"type":"my-type"}}

renderData
object
comment
string

Comment for the rendering request

Example: "Here is my comment"

origin
string

Rendering Request Origin (api / data collector)

Example: "api"

documentRenderings
string<iri-reference>[]
externalState
string
state
string

Workflow state of the request:<br> <b>start</b> - Rendering request created<br> <b>mapped</b> - Rendering request is mapped. Document & Email renderings (if any) are created.<br> <b>done</b> - Rendering request is completely handled<br> <b>anonymized</b> - Rendering request is anonymized (data is deleted)<br>

Example: "done"

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

blocked
boolean

Available options: truefalse